Package junit.runner

# Interface TestRunListener

public interface TestRunListener
A listener interface for observing the execution of a test run. Unlike TestListener, this interface using only primitive objects, making it suitable for remote test execution.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`STATUS_ERROR`
`static final int`
`STATUS_FAILURE`

## Method Summary

Modifier and Type
Method
Description
`void`
`testEnded(String testName)`
`void`
`testFailed(int status, String testName, String trace)`
`void`
`testRunEnded(long elapsedTime)`
`void`
`testRunStarted(String testSuiteName, int testCount)`
`void`
`testRunStopped(long elapsedTime)`
`void`
`testStarted(String testName)`

## Field Details

### STATUS_ERROR

static final int STATUS_ERROR

See Also:
  - Constant Field Values

### STATUS_FAILURE

static final int STATUS_FAILURE

See Also:
  - Constant Field Values

## Method Details

### testRunStarted

void testRunStarted(String testSuiteName, int testCount)

### testRunEnded

void testRunEnded(long elapsedTime)

### testRunStopped

void testRunStopped(long elapsedTime)

### testStarted

void testStarted(String testName)

### testEnded

void testEnded(String testName)

### testFailed

void testFailed(int status, String testName, String trace)